| Home | Libraries | People | FAQ | More

## BoostBook element `access`

access — Declares an access specification for class members

## Synopsis

access ::= (static-constant| typedef| enum| copy-assignment| constructor| destructor| method-group| method| overloaded-method| data-member| class| class-specialization| struct| struct-specialization| union| union-specialization)+

## Description

The access specifications of class members (public, private, or protected) may be determined by enclosing them in an <access> element.

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date$ to keep "last revised" information in sync with CVS changes
name | #REQUIRED | CDATA | The name of the access specification, e.g. "public", "private", or "protected".
id | #IMPLIED | CDATA | A global identifier for this element